Package ghidra.app.util.bin.format.golang.rtti

# Enum Class GoRttiMapper.FuncDefFlags

java.lang.Object
java.lang.Enum<GoRttiMapper.FuncDefFlags>
ghidra.app.util.bin.format.golang.rtti.GoRttiMapper.FuncDefFlags

All Implemented Interfaces:
  `Serializable`, `Comparable<GoRttiMapper.FuncDefFlags>`, `Constable`

Enclosing class:
  `GoRttiMapper`

public static enum GoRttiMapper.FuncDefFlags extends Enum<GoRttiMapper.FuncDefFlags>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLOSURE`
  `FROM_ANALYSIS`
  `FROM_RTTI_METHOD`
  `FROM_SNAPSHOT`
  `METHOD_WRAPPER`
  `PARAM_SUBSTITUTION`
  `PARAMS_MISSING`
  `PARAMS_PARTIAL`
  `RECV_ARTIFICIAL`
  `RECV_MISSING`
  `RESULT_SUBSTITUTION`
  `RETURN_INFO_MISSING`
  `RETURN_INFO_PARTIAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GoRttiMapper.FuncDefFlags`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GoRttiMapper.FuncDefFlags[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RECV_MISSING

    public static final GoRttiMapper.FuncDefFlags RECV_MISSING

  - ### RECV_ARTIFICIAL

    public static final GoRttiMapper.FuncDefFlags RECV_ARTIFICIAL

  - ### PARAMS_PARTIAL

    public static final GoRttiMapper.FuncDefFlags PARAMS_PARTIAL

  - ### PARAM_SUBSTITUTION

    public static final GoRttiMapper.FuncDefFlags PARAM_SUBSTITUTION

  - ### PARAMS_MISSING

    public static final GoRttiMapper.FuncDefFlags PARAMS_MISSING

  - ### RETURN_INFO_PARTIAL

    public static final GoRttiMapper.FuncDefFlags RETURN_INFO_PARTIAL

  - ### RESULT_SUBSTITUTION

    public static final GoRttiMapper.FuncDefFlags RESULT_SUBSTITUTION

  - ### RETURN_INFO_MISSING

    public static final GoRttiMapper.FuncDefFlags RETURN_INFO_MISSING

  - ### FROM_RTTI_METHOD

    public static final GoRttiMapper.FuncDefFlags FROM_RTTI_METHOD

  - ### FROM_SNAPSHOT

    public static final GoRttiMapper.FuncDefFlags FROM_SNAPSHOT

  - ### FROM_ANALYSIS

    public static final GoRttiMapper.FuncDefFlags FROM_ANALYSIS

  - ### CLOSURE

    public static final GoRttiMapper.FuncDefFlags CLOSURE

  - ### METHOD_WRAPPER

    public static final GoRttiMapper.FuncDefFlags METHOD_WRAPPER

- ## Method Details

  - ### values

    public static GoRttiMapper.FuncDefFlags[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static GoRttiMapper.FuncDefFlags valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null